Form annotations in print composer not always displayed correctly
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12815

Description

1. Set up some form annotations with an ui file

 2. There are correctly displayed on the canvas.

 3. Open a print composer and add a map item

 4. Not all of the form annotations displays the ui form.

The annotaitions are always drawn properly, but some of them are just empty (the ui is missing). If you do little pan back in the canvas and

go back to the composer, some other form may be empty now, and empty ones are now correct. Just refreshing the cache of the

composer doesn't work.

An svg export of the composer shows, that the ui are exported also but not in the right order. It seems the annotation itself lays over the

'picture' of the ui. So the drwaing order of the item or the z-value of them may be wrong.

I may provide some ui to test if necesary.

History

#1 - 2010-06-03 04:14 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:8c401d3a (SVN r13634)

#2 - 2010-06-04 01:09 AM - cmoe -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

It seems, that now all annotations have the same behaviour, but they are all emtpy now in the composer.

#3 - 2010-06-05 04:51 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Feedback to Closed

I hope commit:cf5de480 (SVN r13659) fixes the bug for all Qt versions.
